Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.form
Class FormDocument

    java.lang.Object
      com.tonbeller.wcf.form.FormDocument

public class FormDocument
extends java.lang.Object

Loads an xml document and replaces locale dependant labels

Constructor Summary
`FormDocument()`

Method Summary
`static org.w3c.dom.Document` | `loadDocument(RequestContext context, java.lang.String bundle, java.lang.String name)` Shortcut for replaceI18N(parseDocument())
`static org.w3c.dom.Document` | `parseDocument(RequestContext context, java.lang.String name)`
`static void` | `replaceI18n(RequestContext context, org.w3c.dom.Document dom, java.lang.String bundle)` replaces attr value "fmt:xxx" with string for key "xxx" from resource bundle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormDocument

    public FormDocument()

Method Detail

### loadDocument

    public static org.w3c.dom.Document loadDocument(RequestContext context,
                                                    java.lang.String bundle,
                                                    java.lang.String name)
                                             throws java.net.MalformedURLException,
                                                    java.util.MissingResourceException

  Shortcut for replaceI18N(parseDocument())

  Throws:
    `java.net.MalformedURLException`
    `java.util.MissingResourceException`

### replaceI18n

    public static void replaceI18n(RequestContext context,
                                   org.w3c.dom.Document dom,
                                   java.lang.String bundle)
                            throws java.util.MissingResourceException

  replaces attr value "fmt:xxx" with string for key "xxx" from resource bundle.

  Throws:
    `java.util.MissingResourceException`

### parseDocument

    public static org.w3c.dom.Document parseDocument(RequestContext context,
                                                     java.lang.String name)
                                              throws java.net.MalformedURLException,
                                                     java.util.MissingResourceException

  Throws:
    `java.net.MalformedURLException`
    `java.util.MissingResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD